## org.biojava.bio.dp
Class WeightMatrixAnnotator

    java.lang.Object
      |
      +--org.biojava.bio.dp.WeightMatrixAnnotator

public class WeightMatrixAnnotator
extends java.lang.Object
implements SequenceAnnotator, java.io.Serializable

Annotates a sequence with hits to a weight-matrix.

This SequenceAnnotator implementation returns a new ViewSequence wrapping the underlying Sequence

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Constructor Summary
`WeightMatrixAnnotator(WeightMatrix wm, double threshold)`

Method Summary
`Sequence` `annotate(Sequence seq)` Return an annotated version of a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeightMatrixAnnotator

    public WeightMatrixAnnotator(WeightMatrix wm,
                                 double threshold)

Method Detail

### annotate

    public Sequence annotate(Sequence seq)
                      throws IllegalAlphabetException,
                             BioException

  Description copied from interface: SequenceAnnotator
  Return an annotated version of a sequence.
  Specified by:
    annotate in interface SequenceAnnotator
  Tags copied from interface: SequenceAnnotator
  Parameters:
    `seq` - The sequence to be annotated.
  Throws:
    IllegalAlphabetException - If the sequence is over an inappropriate alphabet for the annotated method being encapsulated.
    BioException - if the sequence cannot be annotated.